Name:           python-module-EnvisagePlugins
Version:        3.1.2
Release:        alt1.svn20090908.1
Summary:        Plug-ins for the Envisage framework

Group:          Development/Python
License:        BSD or CC-BY-SA or Python or LGPLv2+
URL:            http://pypi.python.org/pypi/EnvisagePlugins
Source:        http://pypi.python.org/packages/source/E/EnvisagePlugins/EnvisagePlugins-%version.tar.gz
Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

%add_python_req_skip Editra profiler
BuildArch:      noarch
BuildRequires:  python-module-setuptools, python-devel
BuildPreReq: python-module-setupdocs
Requires:       python-module-EnvisageCore

%description
The EnvisagePlugins project includes a number of plug-ins for the
Envisage framework that Enthought has found useful for building
scientific applications.

%prep
%setup -q -n EnvisagePlugins-%version
rm -rf EnvisagePlugins.egg-info
sed -i 's/\r//' image_LICENSE.txt

%build
%python_build

%install
%python_install -O1
sed -i 's|\.dev$||' \
	%buildroot/%python_sitelibdir/EnvisagePlugins-%version-*.egg-info/requires.txt
install -p -m 644 enthought/envisage/ui/workbench/preferences.ini \
	%buildroot/%python_sitelibdir/enthought/envisage/ui/workbench/

%files
%doc *.txt examples
%python_sitelibdir/*

%changelog
* Wed Nov 18 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 3.1.2-alt1.svn20090908.1
- Rebuilt with python 2.6

* Tue Oct 06 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 3.1.2-alt1.svn20090908
- Version 3.1.2

* Fri Oct 02 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 3.1.1-alt2
- Fixed versions of requirements

* Thu Oct 01 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 3.1.1-alt1
- Initial build for Sisyphus (thnx Valery Pipin)

* Fri Jun 12 2009 Rakesh Pandit <rakesh@fedoraproject.org> 3.1.0-1
- Updated

* Tue Jan 27 2009 Rakesh Pandit <rakesh@fedoraproject.org> 3.0.1-1
- Initial package
